org.apache.pdfbox.preflight.parser

## Class XmlResultParser

- java.lang.Object
- - org.apache.pdfbox.preflight.parser.XmlResultParser

    public class XmlResultParser
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`XmlResultParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createResponseWithError(Document rdocument, String pdfType, ValidationResult result, Element preflight)`
`protected Element` `generateResponseSkeleton(Document rdocument, String name, long duration)`
`Element` `validate(Document rdocument, File file)` Validate the given file.
`Element` `validate(File file)` Validate the given file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlResultParser

    public XmlResultParser()

### Method Detail

#### validate

    public Element validate(File file)
                     throws IOException

Validate the given file.

Parameters:
  `file` - the file to be validated
Returns:
  the validation results as XML
Throws:
  `IOException` - if something went wrong

#### validate

    public Element validate(Document rdocument,
                            File file)
                     throws IOException

Validate the given file. Add the validation results to the given XML tree.

Parameters:
  `rdocument` - XML based validation results of a former run
  `file` - the file to be validated
Returns:
  the validation results as XML
Throws:
  `IOException` - if something went wrong

#### createResponseWithError

    protected void createResponseWithError(Document rdocument,
                                           String pdfType,
                                           ValidationResult result,
                                           Element preflight)

#### generateResponseSkeleton

    protected Element generateResponseSkeleton(Document rdocument,
                                               String name,
                                               long duration)